Bug 236802 - sysutils/nsysctl: Update to 0.1.1
Summary: sysutils/nsysctl: Update to 0.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL: https://gitlab.com/alfix/nsysctl
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-03-26 14:24 UTC by Alfonso S. Siciliano
Modified: 2019-04-07 16:44 UTC (History)
1 user (show)

See Also:
alfix86: maintainer-feedback+


Attachments
svn .diff (2.34 KB, patch)
2019-03-26 14:24 UTC, Alfonso S. Siciliano
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alfonso S. Siciliano 2019-03-26 14:24:56 UTC
Created attachment 203160 [details]
svn .diff

Maintainer Update nsysctl 0.1 -> 0.1.1

https://gitlab.com/alfix/nsysctl

CHANGELOG:

* Fix "pkg-fallout": includes in opaque.c for no i386/amd64
* delete sysctlmibinfo.h/c: LIB_DEPENDS devel/libsysctlmibinfo

Testing:

 * portlint -C
 * poudriere testport -j 130Camd64 -p default -i -o sysutils/nsysctl


Please commit it,
Thanks,
Alfonso
Comment 1 Alfonso S. Siciliano 2019-03-27 13:33:28 UTC
nsysctl/opaque.c reuse the code of /sbin/sysctl.c (for the OIDs of type CTLTYPE_OPAQUE), sysctl.c has: 

```
#ifdef __amd64__
#include <sys/efi.h>
#include <machine/metadata.h>
#endif

#if defined(__amd64__) || defined(__i386__)
#include <machine/pc/bios.h>
#endif
```

Then I fixed opaque.c:
https://gitlab.com/alfix/nsysctl/commit/f71d2fded69b95808f9247f7e01866d7a92b7ff9

It should avoid the errors for no-i386/amd64 CPUs.

Thank you,
Alfonso
Comment 2 commit-hook freebsd_committer 2019-04-07 16:40:12 UTC
A commit references this bug:

Author: linimon
Date: Sun Apr  7 16:39:21 UTC 2019
New revision: 498293
URL: https://svnweb.freebsd.org/changeset/ports/498293

Log:
  Maintainer Update nsysctl 0.1 -> 0.1.1:

    Fix "pkg-fallout": includes in opaque.c for no i386/amd64
    delete sysctlmibinfo.h/c: add devel/libsysctlmibinfo to LIB_DEPENDS

  Note: this obsoletes files/patch-opaque.c.

  PR:		236802
  Submitted by:	maintainer

Changes:
  head/sysutils/nsysctl/Makefile
  head/sysutils/nsysctl/distinfo
  head/sysutils/nsysctl/files/
Comment 3 commit-hook freebsd_committer 2019-04-07 16:42:15 UTC
A commit references this bug:

Author: linimon
Date: Sun Apr  7 16:41:54 UTC 2019
New revision: 498294
URL: https://svnweb.freebsd.org/changeset/ports/498294

Log:
  MFH: r498293

  Maintainer Update nsysctl 0.1 -> 0.1.1:

    Fix "pkg-fallout": includes in opaque.c for no i386/amd64
    delete sysctlmibinfo.h/c: add devel/libsysctlmibinfo to LIB_DEPENDS

  Note: this obsoletes files/patch-opaque.c.

  PR:		236802
  Submitted by:	maintainer

  Approved by:	portmgr (tier-2 blanket)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/sysutils/nsysctl/Makefile
  branches/2019Q2/sysutils/nsysctl/distinfo
  branches/2019Q2/sysutils/nsysctl/files/
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2019-04-07 16:44:41 UTC
Committed, thanks.